Buildroot: %{_builddir}/%{name}-root
Name: unicore-uvos-clc
Version: 1.7.0
Release: 0.sl6
Summary: UVOS command line client
License: BSD
Distribution: RedHat
Group: Applications/Internet
URL: http://uvos.chemomentum.org
Requires: java-1.6.0-openjdk findutils bash
BuildArch: noarch
Packager: Piotr Piernik piernik@mat.umk.pl
BuildRequires: subversion  
BuildRequires: maven  
BuildRequires: java-1.6.0-openjdk-devel 
Source0 : unicore-uvos-clc-1.7.0-0.src.tar.gz

%description
UVOS command line client can be used both 
interactively and in a batch mode. It is mostly 
useful for administrators and allows them to
invoke every UVOS management operation. If UVOS 
CLC interface is too simple for you consider 
installing its graphical counterpart: UVOS VOManager.
The package contains also a client side library 
useful for developers who want to access UVOS server.

%changelog
* Sat Jun 18 2011 Krzysztof Benedyczak <unicore-support@lists.sourceforge.net> 
-File perms fixes
* Wed Feb 10 2010 Piotr Piernik <piernik at mat.uni.torun.pl> 
- Add rpm. 

%prep 
%setup -q -c . 
%build
%install 
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT 
 
mvn -q package -Ppackman -Dmaven.test.skip -Dmaven.repo.local=`pwd`/maven-repo -Dpackage.version=1.7.0 -Dpackage.release=0 -Ddistribution=RedHat -Dpackage.config.dir=src/main/package -Dpackage.type=prep.src.rpm -DindexJars -B; 
cp -r target/RedHat/RPMS/builddir/* $RPM_BUILD_ROOT 
%clean 
rm -rf $RPM_BUILD_ROOT


%files
%defattr(644, root, root, 755)

#
# Config files and bash-completion
#
%dir "/etc/unicore/uvos-clc/"
%config(noreplace) "/etc/unicore/uvos-clc/uvosClient.conf"
%config(noreplace) "/etc/unicore/uvos-clc/log4j.properties"
#%config "/etc/bash_completion.d/unicore/uvos-clc"


#
# Documentation and samples
#
%docdir "/usr/share/doc/unicore/uvos-clc/"
"/usr/share/doc/unicore/uvos-clc/*"

%attr(755, root, root) "/usr/bin/uvos-clc"

# enable it after updating the script
#%attr(0755, root, root) "/usr/bin/SAMLSelfInfoClient.sh"

#
# jar files
#
%dir "/usr/share/unicore/uvos-clc/lib"
"/usr/share/unicore/uvos-clc/lib/*.jar"
#%dir "/usr/share/unicore/uvos-clc/lib/endorsed"
#"/usr/share/unicore/uvos-clc/lib/endorsed/*.jar"







